Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class BeanShellListener

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BeanShellTestElement
              org.apache.jmeter.visualizers.BeanShellListener

All Implemented Interfaces:
  Cloneable, SampleListener, Serializable, TestBean, TestElement, TestListener, ThreadListener, UnsharedComponent, Visualizer

public class BeanShellListener
extends BeanShellTestElement
implements Cloneable, SampleListener, TestBean, Visualizer, UnsharedComponent

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BeanShellListener()`

Method Summary
`void` | `add(SampleResult sample)` This method is called by sampling thread to inform the visualizer about the arrival of a new sample.
`protected String` | `getInitFileProperty()`
`boolean` | `isStats()` This method is used to indicate a visualizer generates statistics.
`void` | `sampleOccurred(SampleEvent se)` A sample has started and stopped.
`void` | `sampleStarted(SampleEvent e)` A sample has started.
`void` | `sampleStopped(SampleEvent e)` A sample has stopped.

Methods inherited from class org.apache.jmeter.util.BeanShellTestElement
`clone, getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testIterationStart, testStarted, testStarted, threadFinished, threadStarted`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanShellListener

    public BeanShellListener()

Method Detail

### getInitFileProperty

    protected String getInitFileProperty()

  Specified by:
    `getInitFileProperty` in class `BeanShellTestElement`

### sampleOccurred

    public void sampleOccurred(SampleEvent se)

  Description copied from interface: `SampleListener`
  A sample has started and stopped.

  Specified by:
    `sampleOccurred` in interface `SampleListener`

### sampleStarted

    public void sampleStarted(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started.

  Specified by:
    `sampleStarted` in interface `SampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `SampleListener`

### add

    public void add(SampleResult sample)

  Description copied from interface: `Visualizer`
  This method is called by sampling thread to inform the visualizer about the arrival of a new sample.

  Specified by:
    `add` in interface `Visualizer`

### isStats

    public boolean isStats()

  Description copied from interface: `Visualizer`
  This method is used to indicate a visualizer generates statistics.

  Specified by:
    `isStats` in interface `Visualizer`
  Returns:
    true if visualiser generates statistics

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.